package domain

type AlibabaHmMarketingDiscountItemRemoveAsyncCommonActivityParam struct {
	/*
	   外部活动编码     */
	OutActId *string `json:"out_act_id,omitempty" `

	/*
	   活动Id     */
	ActivityId *int64 `json:"activity_id,omitempty" `
}

func (s *AlibabaHmMarketingDiscountItemRemoveAsyncCommonActivityParam) SetOutActId(v string) *AlibabaHmMarketingDiscountItemRemoveAsyncCommonActivityParam {
	s.OutActId = &v
	return s
}
func (s *AlibabaHmMarketingDiscountItemRemoveAsyncCommonActivityParam) SetActivityId(v int64) *AlibabaHmMarketingDiscountItemRemoveAsyncCommonActivityParam {
	s.ActivityId = &v
	return s
}
